"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuSectionItemRenderer = void 0;
var _react = _interopRequireWildcard(require("react"));
var _emotion = require("emotion");
var _reactRouter = require("@webiny/react-router");
var _List = require("@webiny/ui/List");
var _index = require("../index");
var _appAdmin = require("@webiny/app-admin");
var linkStyle = /*#__PURE__*/(0, _emotion.css)({
  color: "var(--mdc-theme-text-primary-on-background)",
  textDecoration: "none",
  display: "flex",
  alignItems: "center",
  width: "100%",
  height: "100%",
  outline: "none",
  paddingLeft: 72,
  fontWeight: 400,
  "&:hover": {
    textDecoration: "none"
  }
}, "label:linkStyle;");
var submenuItems = /*#__PURE__*/(0, _emotion.css)({
  ".mdc-drawer &.mdc-list-item": {
    paddingLeft: 0,
    margin: 0,
    padding: 0
  }
}, "label:submenuItems;");
var submenuList = /*#__PURE__*/(0, _emotion.css)({
  "&.mdc-list": {
    padding: 0
  }
}, "label:submenuList;");
var MenuSectionItemRenderer = function MenuSectionItemRenderer(PrevMenuItem) {
  return function MenuSectionItem() {
    var _useNavigation = (0, _index.useNavigation)(),
      setVisible = _useNavigation.setVisible;
    var _useMenuItem = (0, _appAdmin.useMenuItem)(),
      menuItem = _useMenuItem.menuItem,
      depth = _useMenuItem.depth;
    var hideMenu = (0, _react.useCallback)(function () {
      return setVisible(false);
    }, []);
    var shouldRender = depth > 0 && Boolean(menuItem ? menuItem.path : false);
    if (!shouldRender) {
      return /*#__PURE__*/_react.default.createElement(PrevMenuItem, null);
    } else if (!menuItem) {
      // TODO @ts-refactor check if to return component or null @pavel
      console.log("MenuSectionItemRenderer returning PrevMenuItem because no menuItem variable.");
      return /*#__PURE__*/_react.default.createElement(PrevMenuItem, null);
    }
    return /*#__PURE__*/_react.default.createElement(_List.List, {
      className: submenuList
    }, /*#__PURE__*/_react.default.createElement(_List.ListItem, {
      className: submenuItems,
      "data-testid": menuItem.testId
    }, menuItem.path ? /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
      className: linkStyle,
      to: menuItem.path,
      onClick: menuItem.onClick || hideMenu
    }, menuItem.label) : /*#__PURE__*/_react.default.createElement("span", {
      onClick: function onClick() {
        if (!menuItem.onClick) {
          return;
        }
        menuItem.onClick();
      },
      className: linkStyle
    }, menuItem.label)));
  };
};
exports.MenuSectionItemRenderer = MenuSectionItemRenderer;

//# sourceMappingURL=MenuSectionItemRenderer.js.map